## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLDoubleClickStrategy

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLDoubleClickStrategy

All Implemented Interfaces:
  org.eclipse.jface.text.ITextDoubleClickStrategy

    public class SQLDoubleClickStrategy

extends java.lang.Object
implements org.eclipse.jface.text.ITextDoubleClickStrategy

This class handles double clicks in content in the SQL Editor.

Constructor Summary
`SQLDoubleClickStrategy()` Constructs an instance of this class.

Method Summary
`void` `doubleClicked(org.eclipse.jface.text.ITextViewer viewer)` Handles a double-click action by selecting the current word.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDoubleClickStrategy

    public SQLDoubleClickStrategy()

  Constructs an instance of this class. This is the default constructor.

Method Detail

### doubleClicked

    public void doubleClicked(org.eclipse.jface.text.ITextViewer viewer)

  Handles a double-click action by selecting the current word.

  Specified by:
    `doubleClicked` in interface `org.eclipse.jface.text.ITextDoubleClickStrategy`
  See Also:
    `ITextDoubleClickStrategy.doubleClicked(ITextViewer)`